---
title: Scotts Mill - Apex NC
hero_h1: Welcome to our neighborhood.
hero_img: img/sm_sign.jpg
hero_alt: Sign at the entrance of the neighborhood
---
	{{>hero}}
	<section>
		<h2>Neighborhood News</h2>
		<article>
			<h3>Newsletter Subscription Available - </h3> 
			<p>If you would like to receive the Scotts Mill newsletter by e-mail, please subscribe <a href="http://eepurl.com/bVWFEH">here</a>.</p>
			<ul>
				<caption>Newsletters</caption>
				<li>
					<a href="http://scottsmill.com/pdf/newsletter/MayJune2015.pdf" target="_blank">May/Jun 2015</a>
				</li>
				<li>
					<a href="http://scottsmill.com/pdf/newsletter/July-August2015.pdf" target="_blank">Jul/Aug 2015</a>
				</li>
				<li>
					<a href="http://scottsmill.com/pdf/newsletter/SeptOct2015.pdf" target="_blank">Sept/Oct 2015</a>
				</li>
				<li>
					<a href="http://scottsmill.com/pdf/newsletter/NovDecJan2015.pdf" target="_blank">Nov/Dec 2015/Jan 2016</a>
				</li>
				<li>
					<a href="http://scottsmill.com/pdf/newsletter/FebMar16.pdf" target="_blank">Feb/Mar 2016</a>
				</li>
				<li>
					<a href="http://scottsmill.com/pdf/newsletter/AprMay16.pdf" target="_blank">Apr/May 2016</a>
				</li>
				<li>
					<a href="http://scottsmill.com/pdf/newsletter/JunJul16.pdf" target="_blank">Jun/Jul 2016</a>
				</li>
				<li>
					<a href="http://scottsmill.com/pdf/newsletter/AugSept16.pdf" target="_blank">Aug/Sep 2016</a>
				</li>
				<li>
					<a href="http://scottsmill.com/pdf/newsletter/OctNovDec16Newsletter.pdf" target="_blank">Oct/Nov/Dec 2016</a>
				</li>
			</ul>
			<p>(Send questions, comments, and submissions to <a title="" href="mailto:newsletter@scottsmill.com">newsletter@scottsmill.com</a>)</p>
		</article>
		<article>
			<ul>
				<caption>HOA Board Minutes</caption>
				<li>
					<a href="http://scottsmill.com/pdf/hoa/SM BOD Minutes 1-14-16.pdf">Jan 2016</a>
				</li>
				<li>
					<a href="http://scottsmill.com/pdf/hoa/SM BOD Minutes 2-11-16.pdf">Feb 2016</a>
				</li>
				<li>
					<a href="http://scottsmill.com/pdf/hoa/SM BOD Minutes 3-10-16.pdf">Mar 2016</a>
				</li>
				<li>
					<a href="http://scottsmill.com/pdf/hoa/SM BOD Minutes 4-14-16.pdf">Apr 2016</a>
				</li>
				<li>
					<a href="http://scottsmill.com/pdf/hoa/SM BOD Minutes 5-12-16.pdf">May 2016</a>
				</li>
				<li>
					<a href="http://scottsmill.com/pdf/hoa/SM BOD Minutes 6-09-16.pdf">June 2016</a>
				</li>
				<li>
					<a href="http://scottsmill.com/pdf/hoa/SM BOD Minutes 07-14-16.pdf">July 2016</a>
				</li>
				<li>
					<a href="http://scottsmill.com/pdf/hoa/SM BOD Minutes 08-11-16.pdf">August 2016</a>
				</li>
				<li>
					<a href="http://scottsmill.com/pdf/hoa/SM BOD Minutes 09-08-16.pdf">September 2016</a>
				</li>
				<li>
					<a href="http://scottsmill.com/pdf/hoa/SM BOD Minutes 10-13-16.pdf">October 2016</a>
				</li>
				<li>
					<a href="http://scottsmill.com/pdf/hoa/SM BOD Minutes 11-10-2016.pdf">November 2016</a>
				</li>
				<li>
					<a href="http://scottsmill.com/pdf/hoa/SM BOD Minutes 01-12-17.pdf">January 2017</a>
				</li>
				<li>
					<a href="http://scottsmill.com/pdf/hoa/SM BOD Minutes 02-09-17.pdf">February 2017</a>
				</li>
			</ul>
		</article>		   
	</section>
	<section>
		<h2>Social Media Groups</h2>
		<p>Please note the HOA Board does not actively monitor any neighbor-run social media page. Messages posted to these forums are not read by the Board members, and issues and recommendations are not addressed via these channels. The Board can be contacted by email at <a title="" href="mailto:board@scottsmill.com">board@scottsmill.com</a>.</p>
	</section> 
	<section>
		<h2>HOA Board</h2> - <a href="mailto:board@scottsmill.com">Email Us.</a>
		<p>The Board meets the second Thursday of each month at 6:00pm in the clubhouse. The Board meetings are open to all members of the Association. Please contact Omega (<a href="tel:9194610102">919-461-0102</a>) at least a week prior to the meeting if you would like to attend and be placed on the agenda. Seating is limited.</p>
		<p>Members of the Board are elected at the Association's annual meeting in March and serve for a two-year term. Terms are staggered to provide continuity from year to year, with two members elected in even years and three members elected in odd years. Board members are volunteers from the neighborhood; they are not compensated for their service. At least one Board member must be a resident of Bungalow Park.</p>
		<p>If you are interested in running for a Board position, contact Omega at <a href="tel:9194610102">919-461-0102</a> for more information.</p>
		<ul>
			<li>Board Members</li>
			<li>Joseph Wynn &ndash; President</li>
			<li>Richard Moore &ndash; Vice-President</li>
			<li>Mike Monfort &ndash; Secretary</li>
			<li>Chris Lowell &ndash; Treasurer</li>
			<li>Olivia Howard &ndash; Assistant Secratary / Bungalow Park Representative</li>
		</ul>	  
	</section>